<?php
    // This program uses the function "customErrorMessage()" so that if something is wrong will always give the part "{"result":"failed"}".

    
    // Below is a custom error handler function to use in place of the built-in hander that includes the filename when a Warning.
    function customErrorMessage($errno,$errstr)
    {
        $displayString = "{\"result\":\"failed\"}";
        echo $displayString;
    }
    // Below sets an overriding error handler instead of using built-in handler that includes the filename.
    set_error_handler("customErrorMessage");

    
    function displayErrorMessage()
    {
        $displayString = "{\"result\":\"failed\"}";
        echo $displayString;
    }

    
    /*
     $method = $_GET['method'];
     $poolNameList = $_GET['poolNameList'];
     // NOTE: The above PHP $_GET[] command seems to convert the URL insertions of {%20(spaces),%7C(pipes|)} back to {(spaces),(pipes|)} automatically.
     //       I read that PHP $_GET[] and $_POST[] commands automaticaly run addslashes(), so the string
     //           $poolNameList has escaped \' for each original apostrophy. EX. poolNameList=Bird\'s Nest|4441|0000000000000
     //           However, the escaped apostrophies still seem to work below within:  "SELECT * FROM pools WHERE name='{$poolListArray[(3*$poolIndex)]}' AND pin='{$poolListArray[(3*$poolIndex+1)]}'"
     //           because below  <pool name=\"{$row[name]}\" ...>  looks like  <pool name="Bird's Nest" ...>
     //           In fact, when attempting  $poolNameList = stripslashes($poolNameList);  the search does not find the pool.
     //           Therefore, it seems that the database has escaped apostrophies within all strings such as poolnames.
     
     echo "poolNameList=$poolNameList<br />";
     //$poolNameList = stripslashes($poolNameList); // This causes the pool "Bird's Nest" to not be found, because it seems to have escaped apostrophies in the database.
     //echo "poolNameList=$poolNameList<br />";
     
     //$poolNameList = mysqli_real_escape_string($conn,$_GET['poolNameList']);
     //echo "poolNameList=$poolNameList<br />";
     
     // What happens to apostrophies?
     // What happens to double-quotes?
     */
    
    
    // Use the built-in function mysql_real_escape_string() to replace symbols of {single-quotes, double-quotes, \, \n, \r, NUL, Control-Z}, with {???}

    
    $dbhost = "prac1medpointdb.db.7213295.hostedresource.com"; // either a host name or an IP address
    $dbuser = "prac1medpointdb"; // the MySQL user name
    $dbpass = "Tester1!"; // the password to log in with
    $dbname = "prac1medpointdb"; // optional, the default database to use when performing queries

    
    //Connect to MySQL Server
    $conn = mysqli_connect($dbhost, $dbuser, $dbpass);
    //Select Database
    $dbFoundFlag = mysqli_select_db($conn,$dbname); // a possible alternative to test for nil

    if (!($dbFoundFlag))
    {
        // did not find database for some reason
        displayErrorMessage();
    }
    else
    {
        $query = "SELECT * FROM table_waittimes";
        //$query = "SELECT * FROM table_waittimes ORDER BY id"; // ASC (default) or DESC
        
        $result = mysqli_query($conn,$query);
        
        if ($result)
        {
            $numOfRows = mysqli_num_rows($result);
            if ($numOfRows > 0) // should be at least 3 locations
            {
                $firstLocFlag = 1;
                $counter = 0;
                //$displayString = "{\n";
                $displayString = "{\"result\":\"success\",";
                while ( $row = mysqli_fetch_array($result) )
                {
                    $counter += 1;
                    if ($firstLocFlag==1)
                    {
                        $genViewLat = $row['view_lat'];
                        $genViewLong = $row['view_long'];
                        $genViewDist = $row['view_dist'];
                        $displayString .= "\"view_lat\":\"$genViewLat\",";
                        $displayString .= "\"view_long\":\"$genViewLong\",";
                        $displayString .= "\"view_dist\":\"$genViewDist\",";
                        $displayString .= "\"medpoints\":[";
                        $firstLocFlag = 0;
                    }

                    $locTitle = $row['title'];
                    $locSubtitle = $row['subtitle'];
                    $locWaittime = $row['waittime'];
                    $locAddress = $row['address'];
                    $locHours = $row['hours'];
                    $locPhone = $row['phone'];
                    $locLatitude = $row['latitude'];
                    $locLongitude = $row['longitude'];
                    $displayString .= "{";
                    $displayString .= "\"title\":\"$locTitle\",";
                    $displayString .= "\"subtitle\":\"$locSubtitle\",";
                    $displayString .= "\"waittime\":\"$locWaittime\",";
                    $displayString .= "\"address\":\"$locAddress\",";
                    $displayString .= "\"hours\":\"$locHours\",";
                    $displayString .= "\"phone\":\"$locPhone\",";
                    $displayString .= "\"latitude\":\"$locLatitude\",";
                    $displayString .= "\"longitude\":\"$locLongitude\"";
                    if ($counter==$numOfRows)
                    {
                        $displayString .= "}";
                    }
                    else
                    {
                        $displayString .= "},";
                    }
                } // end of looping through $result
                $displayString .= "]}";
                echo $displayString;
            }
            else // ($numOfRows == 0)
            {
                displayErrorMessage();
            }
        }
        else // $result==nil
        {
            displayErrorMessage();
        }
    } // end of ($dbFoundFlag!=0)
    mysqli_close($conn); // the connection is automatically closed when the script ends. This could be used to close it before the script ends.
?>